% pregunta 3, lab 5, 521230, S2-2012
% n^{-1} es un polinomio de grado menor o igual que 1 y los valores
% de t son de la forma t_i = ih con h = 1.

n = 1;
m = 10;
h = 1;
[A,x] = matriz_preg1_lab5(n,m,h);

n = [5.03 4.71 4.40 3.97 3.88 3.62 3.3 3.15 3.08 2.92 2.70]';
% n^{-1} depende linealmente de 1/n0 y alpha
ninv = 1./n;

coef = A\ninv;

n0 = 1/coef(2);
alpha = coef(1);

plot(x,n,'o');
hold on
xnew = linspace(0,10,110);
plot(xnew,n0./(1+n0*alpha*xnew),'r');


